summaryrefslogtreecommitdiff
path: root/qa/092
diff options
context:
space:
mode:
Diffstat (limited to 'qa/092')
-rwxr-xr-xqa/09265
1 files changed, 65 insertions, 0 deletions
diff --git a/qa/092 b/qa/092
new file mode 100755
index 0000000..1b559ea
--- /dev/null
+++ b/qa/092
@@ -0,0 +1,65 @@
+#! /bin/sh
+# PCP QA Test No. 092
+# end of log and truncated log test
+#
+# Copyright (c) 1995-2002 Silicon Graphics, Inc. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard filters
+. ./common.product
+. ./common.filter
+. ./common.check
+
+rm -f $seq.out
+if [ $PCP_VER -lt 3509 ]
+then
+ ln $seq.out.1 $seq.out || exit 1
+else
+ ln $seq.out.2 $seq.out || exit 1
+fi
+
+trap "rm -f $tmp.*; exit" 0 1 2 3 15
+
+_filter()
+{
+ cat >$tmp.out
+ STAMP=`sed <$tmp.out -n -e '/pmGetArchiveEnd time:/s/.* //p'`
+ if [ "X$STAMP" = X ]
+ then
+ echo "pmGetArchiveEnd failed!"
+ cat $tmp.out
+ else
+ sed -e "s/$STAMP/MY-EOL-TIMESTAMP/g" <$tmp.out
+ fi
+}
+
+# real QA test starts here
+echo "small archive"
+src/eol -a src/foo | _filter
+
+echo
+echo "large archive"
+src/eol -a src/bigbin | _filter
+
+echo
+echo "truncated archive"
+src/eol -a src/truncbin | _filter
+
+echo
+echo "empty archive"
+src/eol -a src/null | _filter
+
+echo
+echo "small multi-volume archive"
+src/eol -a src/mv-foo | _filter
+
+echo
+echo "large multi-volume archive"
+src/eol -a src/mv-bigbin | _filter
+
+echo
+echo "large no index archive"
+src/eol -a src/noti-bigbin | _filter